
Redmine - Feature #4713

Project members can log time on others issues

2010-02-02 08:46 - Manilal K M

Status: New Start date: 2010-02-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Recently we have started using redmine to track the software projects and we are planning to implement it for the non-software

projects also. However, on evaluation an the following permission issue is blocking our implementation.

Project members(with role Developers) can log time on any of the issues irrespective of the Assigned To field. This may create

chaos when using redmine in a non-software environment, where members may not be technically proficient.

Issues should be viewable to everyone in the project, but members should not be allowed to track time on issues assigned to others.

History

#1 - 2010-02-05 14:56 - Will Vanderpol

In our Redmine environment we often log time on other persons issues, normal practice.

#2 - 2010-02-05 15:27 - James Byrne

We also log time on issues assigned to others.  It is not uncommon for those assigned issues to 'forget' to log their own time so administrative

updates are sometimes required.

#3 - 2010-02-08 08:14 - Manilal K M

If there are such cases, then I would suggest a configuration item to control this feature. Thus, project managers/administrators can decide whether

the issues are private or not? Is this feasible?

#4 - 2010-12-22 00:32 - Mischa The Evil

- Tracker changed from Defect to Feature
